/*
Theme Name: BonVoyage Child
Theme URI: http://bonvoyage.qodeinteractive.com
Description: A child theme of BonVoyage Theme
Author: Elated Themes
Author URI: http://themeforest.net/user/elated-themes
Version: 1.0.2
Text Domain: bonvoyage
Template: bonvoyage
*/


h1 {
    font-family: DidotLT, sans-serif;
    letter-spacing: -0.03em;
	/*font-family: Quentin, sans-serif !important;*/
       /*font-style: italic;*/
       
   }
   
   h1.eltd-page-title { 
       font-size: 4em;
   }
   
   h2 {
       font-family: DidotLT, sans-serif;
       /*font-style: italic;*/
   }
   
   h3, h4 {
       font-family: DidotLT, sans-serif !important;
   }
   
   ::-moz-selection { background: #beb393; color: #FFFFFF; }
   ::selection { background: #beb393; color: #FFFFFF; }
   
   
   .align-right {
       text-align: right !important;
   }
   
   .eltd-page-footer .eltd-footer-top-holder .eltd-footer-top-inner.eltd-grid {
       padding: 0 !important;
   }
   
   .eltd-blog-holder article .eltd-post-text .eltd-post-text-inner .eltd-post-text-main {
       padding-left: 0px !important;
   }
   
   .page-id-422 .eltd-content .eltd-content-inner > .eltd-container > .eltd-container-inner, .page-id-422 .eltd-content .eltd-content-inner > .eltd-full-width > .eltd-full-width-inner {
       padding-top: 0px !important;
   }
   
   /*span.eltd-search-opener-wrapper {
       display: none !important;
   }*/
   
   /* SUCHE in der Navbar */
   
   .eltd-search-opener {
   font-size: 20px;
   }
   
   
   .eltd-fullscreen-search-holder .eltd-search-field {
   border: 1px solid #fff;
   }
   
   
   .eltd-fullscreen-search-holder .eltd-search-submit {
   
   background-color: rgb(190, 179, 147) !important;
   
   }
   
   .eltd-mobile-header .widget_search {
   
       margin-top: 15px;
   
   }
   
   
   body.search footer {
   
   background: black;
   
   }
   
   
   
   
   
   .eltd-search-submit {
     height: 100%;
   }
   
   .eltd-fullscreen-search-holder .eltd-search-submit:hover { 
   
   background-color: rgb(170, 162, 131) !important; 
   
   }
   
   
   a.eltd-side-menu-button-opener.eltd-icon-has-hover {
       display: none !important;
   }
   
   
   .eltd-title-holder figcaption {
       position: absolute;
       bottom: 0;
       padding: 5px 10px;
       font-weight: bold;
       right: 0;
       font-size: 15px;
   }
   
   
   /* Submit Button */
   
   /*input.wpcf7-form-control.wpcf7-submit:hover {
       background-color: #926d48 !important;
   }*/
   
   input.wpcf7-form-control.wpcf7-submit {
       background-color: #beb393;
       display: flex;
       justify-content: center;
       width: 100%;
   }
   
   footer input.wpcf7-form-control.wpcf7-submit {
       width: 50%;
   }
   
   .wpcf7-form p {
   text-align:start;
   }
   
   .newsletter-footer > p {
       display: flex;
       justify-content: center;
   }
   
   .newsletter-footer input.wpcf7-form-control.wpcf7-submit {
       padding-left: 73px;
   }
   
   
   /*@media only screen and (min-width: 1025px) {
       input.wpcf7-form-control.wpcf7-submit {
           margin-left: 80px;
       }
   } */
   
   input.wpcf7-form-control.wpcf7-submit:hover {
       background-color: #aaa283;
   }
   
   /* Blog Übersicht */
   .eltd-blog-list-holder .eltd-bli-info>div a {
       font-size: 15px;
   }
   
   .eltd-post-info-category {
       margin-top: -3px;
       font-size: 13px !important;
   }
   
   .eltd-blog-list-holder .eltd-bli-info>div {
       display: block;
       padding: 0 0 10px 0;
   }
   
   h4.entry-title.eltd-post-title {
       margin-top: 10px !important;
   }
   
   /* Button Kommentarleiste */
   
   input#submit_comment {
       background-color: #beb393;
   }
   
   input#submit_comment:hover {
       background-color:  #aaa283;
   }
   
   /* Seperator Linie */
   
   .eltd-separator {
       border-width: 2px;
   }
   
   .eltd-footer-top-holder .eltd-separator {
       border-width: 1px;
   }
   
   .eltd-page-footer .eltd-footer-bottom-holder {
       border-top: 2px solid #e6e6e6;
   }
   
   
   /* COCO Magazin Logo Footer */
   
   .eltd-footer-top-skin-light .coco-magazin-logo-black {
       display: none !important;
   }
   
   .eltd-footer-top-skin-dark .coco-magazin-logo-white {
       display: none !important;
   }
   
   .coco-magazin-logo-black {
       margin-top: -40px;
           margin-bottom: 20px;
   }
   
   /* TIKTOK Icon */
   
   
   .eltd-footer-top-skin-light #block-28 {
       display: none !important;
   }
   
   .eltd-footer-top-skin-dark #block-27 {
       display: none !important;
   }
   
   .eltd-page-footer #block-27.widget_media_image, .eltd-page-footer #block-28.widget_media_image {
       display: inline-block;
       margin: 0px 10px 10px 10px;
       height: 20px;
   }
   
   
   /* Post Type Blogbeitrag */
   
   .eltd-blog-single-standard .eltd-iwt.eltd-iwt-icon-top .eltd-iwt-content {
       padding: 0px 0 0;
   }
   
   .eltd-iwt .eltd-iwt-text {
       margin: 10px 0px 15px;
   }
   
   .eltd-blog-holder article .eltd-post-info-bottom {
       margin-top: 30px;
   }
   
   .eltd-comment-form .eltd-comment-form-inner {
       padding: 0px 0 10px;
   }
   
   /* Blogbeitrag Einzelseite */
   
   .eltd-grid-large-gutter>div {
       padding-left: 21px;
       padding-right: 21px;
   }
   
   
   /* Under Construction Seite */
   
   .page-id-3211 .eltd-page-header {
       display: none;
   }
   
   .page-id-3211 .eltd-mobile-header {
       display: none;
   }
   
   .page-id-3211 .eltd-page-footer {
       display: none;
   }
   
   /* Header Blogbeiträge */
   
   .eltd-title-holder.eltd-standard-type.eltd-title-va-header-bottom.eltd-has-bg-image.eltd-bg-parallax {
       background-position: center !important;
       background-size: cover !important;
   }
   
   .eltd-title-holder.eltd-centered-type.eltd-title-va-header-bottom.eltd-has-bg-image.eltd-bg-parallax {
       background-position: center !important;
       background-size: cover !important;
   }
   
   .eltd-title-holder.eltd-centered-type.eltd-title-va-header-bottom.eltd-has-bg-image.eltd-bg-parallax-disabled {
   
       background-position: center !important;
       background-size: cover !important;
   
   }
   
   /* Icons Blogbeiträge */
   .eltd-blog-single .eltd-iwt-icon-tiny .eltd-iwt-icon img.attachment-full.size-full {
       height: 50px;
       width: 50px;
   }
   
   .tik-tok-icon-white {
       margin: 0;
   }
   
   /* Button Mehr Anzeigen */
   
   .eltd-blog-pag-load-more .eltd-btn.eltd-btn-solid {
       background-color: #beb393;
   }
   
   .eltd-blog-pag-load-more .eltd-btn.eltd-btn-solid:hover { 
           background-color: #aaa283 !important;
   }
   
   /* Custom Font Deals Homepage */
   
   @media only screen and (min-width: 1400px) {
       .custom-font-homepage {
               text-align: right !important;
               margin-right: 250px !important;
       }
   }
   
   @media only screen and (min-width: 769px) and (max-width: 1399px) {
           .custom-font-homepage {
                   text-align: right !important;
                   margin-right: 180px !important;
           }
   }
   
   /* Background Image Home */
   
   .page-id-422 .eltd-row-grid-section-wrapper {
       background-size: cover;
       background-position: center !important;
   }
   
   @media only screen and (max-width: 767px) {
       .palme-icon-home {
           display: none;
       }	
   }
   
   @media only screen and (max-width: 620px) {
       .page-id-2809 .eltd-page-title {
               font-size: 40px !important;
       }
   }
   
   .palme-icon-home {
           margin-top: -40px !important;
   }
   
   /* Widget Footer */
   
   @media only screen and (max-width: 850px) {
       .eltd-page-footer div#block-19 {
               margin-left: -50px;
               margin-right: -50px;
       }
   }
   
   /* COCODeals */
   
   .button-center {
       text-align: center;
   }
   
   input.wpcf7-form-control.has-spinner.wpcf7-submit {
       margin-bottom: 20px;
   }
   
   /* Blogbeitrag Einzelseite */
   
   .eltd-blog-holder article .eltd-post-info-top>.eltd-post-info-date a {
       margin-right:13px;
   }
   
   .author-date-bar .row {
       display: flex !important;
       align-items: center;
       justify-content: center;
       gap: 20px;
       margin-bottom: 20px !important;
       font-size: 13px;
       font-weight: 300;
       color: #565656;
   }
   
   .athor-date-bar .eltd-post-info-author {
       margin-top: 0 !important;
   }
   
   .author-date-bar .eltd-post-info-author {
       color: #565656;
       font-weight: 300;
       margin-top: 0;
   }
   
   .eltd-blog-list .eltd-post-info-category {
       font-size: 15px;
   }
   
   .author-date-bar .eltd-post-info-author {
       display: flex;
       gap: 4px;
   }
   
   .eltd-blog-list-holder.eltd-bl-boxed .eltd-bli-content {
       padding: 40px 30px 57px !important;
   }
   
   /* Newsletter Footer */
   
   .newsletter-footer input {
       margin: 0 !important;
       background-color: #beb393 !important;
   }
   
   .newsletter-footer input:hover {
       background-color: #aaa283 !important;
   }
   
   .eltd-page-footer input{
       color: white !important;
   }
   
   .eltd-page-footer #block-25 > div {
           align-items: center !important;
   }
   
   .eltd-page-footer #block-25 a { 
           color: #beb393;
       font-weight: 500;
   }
   
   /* Button */
   
   .error404 .eltd-btn.eltd-btn-solid {
       background-color: #beb393;
   }
   
   .error404 .eltd-btn.eltd-btn-solid:hover {
       background-color: #aaa283 !important;
   }
   
   .eltd-title-holder.eltd-bg-parallax {
       background-attachement: local !important;
   }
   
   .eltd-title-holder.eltd-bg-parallax-disabled {
       background-position: center;
   }
   
   h1.eltd-page-title {
           text-shadow: #5A5A5A 1px 0 15px;
   }
   
   .newsletter-footer {
       padding-bottom: 20px;
   }
   
   /* Header Image */
   
   .eltd-title-holder.eltd-has-bg-image {
       background-size: cover !important;
   
   }
   
   /* special Template for fullwidth with sidebar */
   
   .coco-full-width-sidebar .wpb-content-wrapper {
           overflow: hidden;
   }
   
   .coco-full-width-sidebar .eltd-sidebar {
           width: 300px;
   }
   
   
   .coco-full-width-sidebar .eltd-row-grid-section {
           width: auto;
           max-width: 1100px;
   }
   
   /* Checkbox Styling */
   
   .custom-checkbox {
       display: flex;
       align-items: center;
       font-size: 16px;
       margin: 8px 0;
       color: #333;
   }
   
   .custom-checkbox input[type="checkbox"] {
    display: none;
   }
   
   .custom-checkbox label {
       position: relative;
       cursor: pointer;
       padding-left: 45px;
       color: #333;
   }
   
   .custom-checkbox label:before {
       content: '';
       position: absolute;
       left: 0;
       top: 0;
       width: 22px;
       height: 22px;
       border: 2px solid rgb(190, 179, 147); /* Elegante Farbe für die Umrandung */
       border-radius: 6px; /* Runde Ecken für luxuriöseres Aussehen */
       background-color: #fff;
       transition: background-color 0.3s, border-color 0.3s;
       box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* Subtiler Schatten für einen hochwertigen Look */
   }
   
   .custom-checkbox input[type="checkbox"]:checked + label:before {
       background-color: rgb(190, 179, 147); /* Edle Farbe bei Aktivierung */
       border-color: rgb(190, 179, 147);
   }
   
   .custom-checkbox label:after {
       content: '';
       position: absolute;
       left: 13px;
       top: 13px;
       width: 10px;
       height: 10px;
       background-color: #fff; /* Weiße Mitte für Kontrast */
       border-radius: 50%; /* Kreisform in der Mitte */
       transform: translate(-50%, -50%) scale(0);
       opacity: 0;
       transition: transform 0.3s ease, opacity 0.3s ease;
   }
   
   .custom-checkbox input[type="checkbox"]:checked + label:after {
       opacity: 1;
       transform: translate(-50%, -50%) scale(1); /* Eingeblendeter Kreis bei Aktivierung */
   }
   
   .custom-checkbox input[type="checkbox"]:focus + label:before {
       outline: 2px solid rgb(190, 179, 147);
       outline-offset: 2px;
   }
   
   
   
   
   /* Openings Filterfunktion */
   
   button.slick-next.slick-arrow {
       transform: scale(1.8);
       text-shadow: #5a5a5a 0.5px 0 1px;
       right: 15px;
   }
   
   button.slick-prev.slick-arrow { 
           transform: scale(1.8);
           text-shadow: #5a5a5a 0.5px 0 1px;
       left: 15px;
       z-index: 99;
   }
   
   .slick-dots li button {
       transform: scale(2);
   }
   
   .slick-dots li.slick-active button:before {
       color: gray;
   }
   
   .filter-mobile {
       display: none;
       text-align: center;
   }
   
   .eltd-page-title.entry-title {
       text-align: center;
   }
   
   .coco-full-width-sidebar-openings .eltd-grid-row {
           width: auto;
           max-width: 1100px;
   }
   
   
   #category-filter-form ul {
       list-style: none;
   }
   
   #category-filter-form ul.dropdown-menu input[type="checkbox"] {
       margin-right: 5px;
   }
   
   #category-filter-form button {
       margin-bottom: 40px;
   }


   /* Openings Dropdown Filter */

   #category-filter-form .dropdown {
    position: relative;
    display: inline-block;
  }
  
  #category-filter-form .dropdown-toggle {
    cursor: pointer;
    padding: 10px;
    background-color: white;
    border: 1px solid #BEB390;
    border-radius: 4px;
    color: #BEB390;
    font-weight: 400;
  }
  
  #category-filter-form .dropdown-menu {
    display: none; /* Versteckt die Liste standardmäßig */
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    list-style: none;
    margin: 0;
    padding: 10px;
    max-height: 200px;
    overflow-y: auto;
  }
  
  #category-filter-form .dropdown-menu .custom-checkbox {
    margin-bottom: 8px;
  }
  
  #category-filter-form .dropdown-menu .custom-checkbox:last-child {
    margin-bottom: 0;
  }
  
  #category-filter-form .dropdown.open .dropdown-menu {
    display: block; /* Zeigt die Liste, wenn die Klasse "open" vorhanden ist */
  }

  #category-filter-form .dropdown-toggle::after {
    content: "▼"; /* Unicode für Pfeil nach unten */
    font-size: 12px; /* Größe des Icons */
    margin-left: 8px; /* Abstand zwischen Text und Icon */
    color: #BEB390; /* Farbe des Icons */
}

  #category-filter-form .filter-list { 
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

/* Ausgrauen */

.custom-checkbox.disabled {
    opacity: 0.5;
    pointer-events: none;
}

  
  
   
   /* Revolution Slider */
   
   #slider-10-slide-20-layer-2 {
       font-family: DidotLT !important;
   }
   
   #slider-10-slide-20-layer-3 {
       font-family: Lato !important;
   }
   
   /* Reiseessentials */
   
   
   .reiseessentials {
       .slide {
           padding: 20px;
           padding-bottom: 60px;
	   margin-left: -120px;
       background-color: #f4f2ea;
       box-shadow: 0 5px 20px 0 rgba(0,0,0,.06);
           .carousel-inner {
               .carousel-item {
                   img {
                       object-fit: cover;
                       width: 100%;
                   }
                   .text-area {
                       width: 100%;
                       a.eltd-btn {
                           margin: 0;
                           padding: 0;
                           width: auto;
                           p {
                               text-transform: uppercase;
                               padding: 20px;
                               margin: 0;
                               color: white;
                               background-color: rgb(190, 179, 147);
                               margin-top: 30px;
                               &:hover {
                                   background-color: rgb(170, 162, 131);
                               }
                           }
                           
                       }
                   }
               }
           }
       }
   
       .carousel-control-next-icon, .carousel-control-prev-icon {
           -webkit-filter: invert(100%);
       }
   
       .carousel-control-prev {
           display: none;
       }
   }
   
   @media all and (min-width: 768px) {
       .reiseessentials {
            .slide {
                padding-bottom: 0 !important;
            
                .carousel-inner {
                    .carousel-item {
                        img {
                            width: 40%;
                            float: left;
                        }
                        .text-area {
                            width: 60%;
                            padding-left: 0;
                            padding-right: 0;
                            padding-bottom: 0;
                            float: right;
                            * {
                                padding-left: 20px;
                                padding-right: 20px;
                            }
                            a {
                                margin-left: 10px !important;
                                margin-right: 10px !important;
                                p {
                                    margin-left: 20px !important;
                                    margin-right: 20px !important;
                                    margin-bottom: 20px !important;
                                    margin-top: 0px;
                                }
                            }
                        }
        
                    }
                }
                .carousel-control-next {
                    bottom: 20px !important;
                    top: auto !important;
                    position: relative !important;
                } 
                .carousel-control-prev {
                    display: none;
                }
            }
       }
   } 

   .carousel-control-next {
    bottom: 0px;
    top: auto;
    position: relative;
    margin-left: auto;
    padding-top: 20px;
    } 
   
   /* Ende Reiseessentials */
   
   
   @media only screen and (min-width: 1400px) {
       .coco-full-width-sidebar .eltd-grid-1300 .eltd-container-inner,
       .coco-full-width-sidebar .eltd-grid-1300 .eltd-grid,
       .coco-full-width-sidebar .eltd-grid-1300 .eltd-row-grid-section {
           max-width: 1300px;
           width: auto;
       }
   
      .wrapper-filter-openings .eltd-page-content-holder {
       padding-left: 40px;
      }
   
   }
   
   @media only screen and (max-width: 1200px) {
       .coco-full-width-sidebar .eltd-container-inner,
       .coco-full-width-sidebar .eltd-grid,
       .coco-full-width-sidebar .eltd-row-grid-section,
       .wrapper-filter-openings .eltd-sidebar-holder {
           max-width:950px;
           width: auto;
       float: none;
       }
       .wrapper-filter-openings .eltd-sidebar-holder { 
           margin-left: auto;
       margin-right: auto;
       }
   
       .eltd-page-content-holder {
       width: 100%;
       }
   
       .filter-mobile {
           display: block;
       display: flex;
       flex-direction: column;
       text-align: left;   
       }
       .filter-desktop {
           display: none;
       }
   
   }
   
   @media only screen and (max-width: 1400px) {
           .eltd-mobile-header {
                   display: block;
           }
           .eltd-page-header {
                   display: none;
           }
   
       .wrapper-filter-openings .eltd-page-content-holder { 
               padding-left: 40px;
           padding-right: 40px;
          }
   }
   @media only screen and (max-width: 1024px) {
       .coco-full-width-sidebar .eltd-container-inner,
       .coco-full-width-sidebar .eltd-grid,
       .coco-full-width-sidebar .eltd-row-grid-section,
       .wrapper-filter-openings .eltd-sidebar-holder {
           max-width:768px;
           width: auto;
       }
   
       .wrapper-filter-openings .media-grid-item {
           flex-direction: column !important;
           width: 100% !important;
           .post-images { 
                   width: 100% !important;
           }
       }
   
   }
   
   @media only screen and (max-width: 768px) {
       .coco-full-width-sidebar .eltd-container-inner,
       .coco-full-width-sidebar .eltd-grid,
       .coco-full-width-sidebar .eltd-row-grid-section,
       .wrapper-filter-openings .eltd-sidebar-holder {
           max-width:600px;
           width: auto;
       }
   }
   
   @media only screen and (max-width: 680px) {
       .coco-full-width-sidebar .eltd-container-inner,
       .coco-full-width-sidebar .eltd-grid,
       .coco-full-width-sidebar .eltd-row-grid-section,
       .wrapper-filter-openings .eltd-sidebar-holder {
           max-width:420px;
           width: auto;
       }
   }
   
   @media only screen and (max-width: 480px) {
       .coco-full-width-sidebar .eltd-container-inner,
       .coco-full-width-sidebar .eltd-grid,
       .coco-full-width-sidebar .eltd-row-grid-section,
       .wrapper-filter-openings .eltd-sidebar-holder {
       max-width:300px;
           width:  auto;
       }
   }
   
   
   @media only screen and (max-width: 320px) {
       .coco-full-width-sidebar .eltd-container-inner,
       .coco-full-width-sidebar .eltd-grid,
       .coco-full-width-sidebar .eltd-row-grid-section,
       .wrapper-filter-openings .eltd-sidebar-holder {
           width:90%
       }
   }
   
   
   
   
   /* MEDIA QUERY */
   
   @media only screen and (max-width: 850px) {
   h1.eltd-page-title {
                   font-size: 30px;
           }
   
   .eltd-title-holder figcaption {
       font-size: 9px !important;
   }
   
       
   }
   
   .eltd-blog-like {
       display: none !important;
   }
   
   /* CONTACT FORM 7 STYLING */
   
   .wpcf7-checkbox {
       margin-bottom: 20px;
   }
   
   .wpcf7-checkbox .wpcf7-list-item {
       display: block;
   }
   
   .wpcf7-acceptance {
       margin-bottom: 20px;
   }
   
   .wpcf7-checkbox .wpcf7-list-item.last {
       margin-bottom: 20px;
   }
   
   .wpcf7-checkbox .wpcf7-list-item.first {
       margin-top: 10px;
   }
   
   .wpcf7-checkbox .wpcf7-list-item {
       margin-bottom: 5px;
   }
   
   
   /* BUTTON */
   
   .vc_btn3.vc_btn3-color-green {
           background: #76B82A !important;
               border: none;
               padding-left: 20px;
               padding-right: 20px;
               padding-top: 10px;
               padding-bottom: 10px;
               color: white;
               margin-top: 10px;
   }
   
   .vc_btn3.vc_btn3-size-lg {
       font-size: 1em;
   }
   
   /* Flexbox-Layout für Desktop */
   .post-content-wrapper-search {
       display: flex;
       flex-direction: row; /* Nebeneinander */
       align-items: center;
       gap: 20px; /* Abstand zwischen Slider und Text */
       margin-bottom: 40px;
   }
   
   /* Slider-Bereich */
   .post-images-search {
       flex: 1; /* Slider nimmt die Hälfte des Platzes ein */
       max-width: 50%;
   }
   
   /* Textbereich */
   .post-text-area-search{
       flex: 1; /* Text nimmt die andere Hälfte ein */
       max-width: 50%;
   }
   
   .opening-template-default .eltd-page-footer {
       background: black;
   }
   .opening-buttons a {
       margin-right: 20px !important;
       margin-bottom: 5px !important;
   }
   
   .media-grid-item {
       margin-bottom: 20px !important;
   }
   
   /* Mobile-Layout */
   @media (max-width: 768px) {
       .post-content-wrapper-search {
           flex-direction: column; /* Untereinander */
       }
   
       .post-images-search,
       .post-text-area-search {
           max-width: 100%; /* Volle Breite */
           flex: none; /* Keine Flex-Anpassung */
       }
   
       .post-images-search img {
           width: 100%; /* Bilder skalieren */
           height: auto;
       }
   }
   
